<p>title: Perulangan For
description:</p>
<hr />
<p>Pada statemen <code>while</code> dan <code>do..while</code>, kondisi yang dicek tidak mesti berupa angka yang diiterasi, tapi bisa juga pengecekan kondisi lain yang kita tak perlu ketahui berapa kali harus dijalankan. Sedangkan statemen perulangan <code>for</code> lebih khusus digunakan apabila kita hendak mengulang eksekusi blok kode sebanyak angka yang kita tentukan.</p>
<pre><code>for (inisiasi counter; cek kondisi; naikkan counter) {
    // kode yang akan dijalankan berulang
}</code></pre>
<ul>
<li><strong>Parameter pertama</strong> adalah inisial variabel yang akan dijadikan penghitung.</li>
<li><strong>Parameter kedua</strong> adalah pengecekan kondisi variabel. <strong>Selama kondisi bernilai true, blok kode akan dijalankan</strong>.</li>
<li><strong>Parameter ketiga</strong> untuk menaikkan/menurunkan nilai variabel setiap kali blok kode selesai dijalankan.</li>
<li>Setiap parameter dipisahkan dengan tanda titik koma.</li>
</ul>
<pre><code>for($x = 0; $x &lt; 5; $x++){
   echo $x . "&lt;br&gt;";
}</code></pre>
<p>Statemen <code>for</code> membuat proses perulangan dengan jumlah tertentu ditulis dalam bentuk kode yang lebih ringkas.</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Jalankan kode pada editor dan lihat output yang tampil. Ganti pengecekan kondisi di baris ke-3 menjadi $x &lt; 10 atau angka berapapun yang Kamu mau dan lihat keluarannya.</p>
</li>
<li>
<p>Apa yang harus diubah dari parameter ketiga statemen <code>for</code>sehingga keluaran kondisinya menjadi seperti ini:</p>
<pre><code>Nomor: 0 
Nomor: 2 
Nomor: 4 
Nomor: 6 
Nomor: 8 </code></pre>
<p><em>Petunjuk:</em> gunakan <a href="https://www.codepolitan.com/interactive-coding/php/operator-penugasan">operator penugasan/<em>assignment</em></a> untuk menaikkan angka variabel sejumlah yang diperlukan</p>
</li>
<li>
<p>Dapatkah Kamu memodifikasi kode di editor sedemikian rupa sehingga output dari program menjadi seperti ini:</p>
</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/perulangan-for"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>